org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: me/gnat008/perworldinventory/PerWorldInventory : Unsupported major.minor version 52.0

GitHub | Tunode | 6 months ago
tip
Click on the to mark the solution that helps you, Samebug will learn from it.
As a community member, you’ll be rewarded for you help.
  1. 0

    GitHub comment 114#247810024

    GitHub | 6 months ago | Tunode
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: me/gnat008/perworldinventory/PerWorldInventory : Unsupported major.minor version 52.0
  2. 0

    Unsupported major.minor version 52.0

    GitHub | 5 months ago | SnazzyPine25
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: me/gnat008/perworldinventory/PerWorldInventory : Unsupported major.minor version 52.0
  3. 0

    PWI not loading on spigot 1.10.2 [Solved]

    GitHub | 5 months ago | fatkungfu
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: me/gnat008/perworldinventory/PerWorldInventory : Unsupported major.minor version 52.0
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    Problem with spigot 1.10

    GitHub | 4 months ago | Daewo147
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: fr/xephi/authme/AuthMe : Unsupported major.minor version 52.0
  6. 0

    Server isn't able to load Plugin

    GitHub | 5 months ago | daki0709
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: fr/klemms/halloweeninvasion/Halloween : Unsupported major.minor version 52.0

  1. rafael 2 times, last 2 months ago
  2. andyglick 3 times, last 3 months ago
34 unregistered visitors
Not finding the right solution?
Take a tour to get the most out of Samebug.

Tired of useless tips?

Automated exception search integrated into your IDE

Root Cause Analysis

  1. java.lang.UnsupportedClassVersionError

    me/gnat008/perworldinventory/PerWorldInventory : Unsupported major.minor version 52.0

    at java.lang.ClassLoader.defineClass1()
  2. Java RT
    URLClassLoader.findClass
    1. java.lang.ClassLoader.defineClass1(Native Method)[?:1.7.0_111]
    2. java.lang.ClassLoader.defineClass(ClassLoader.java:803)[?:1.7.0_111]
    3. java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)[?:1.7.0_111]
    4. java.net.URLClassLoader.defineClass(URLClassLoader.java:449)[?:1.7.0_111]
    5. java.net.URLClassLoader.access$100(URLClassLoader.java:71)[?:1.7.0_111]
    6. java.net.URLClassLoader$1.run(URLClassLoader.java:361)[?:1.7.0_111]
    7. java.net.URLClassLoader$1.run(URLClassLoader.java:355)[?:1.7.0_111]
    8. java.security.AccessController.doPrivileged(Native Method)[?:1.7.0_111]
    9. java.net.URLClassLoader.findClass(URLClassLoader.java:354)[?:1.7.0_111]
    9 frames
  3. Bukkit
    PluginClassLoader.findClass
    1. org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:101)[spigot.jar:git-Spigot-570526c-75a8885]
    2. org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:86)[spigot.jar:git-Spigot-570526c-75a8885]
    2 frames
  4. Java RT
    Class.forName
    1. java.lang.ClassLoader.loadClass(ClassLoader.java:425)[?:1.7.0_111]
    2. java.lang.ClassLoader.loadClass(ClassLoader.java:358)[?:1.7.0_111]
    3. java.lang.Class.forName0(Native Method)[?:1.7.0_111]
    4. java.lang.Class.forName(Class.java:278)[?:1.7.0_111]
    4 frames
  5. Bukkit
    SimplePluginManager.loadPlugins
    1. org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:64)[spigot.jar:git-Spigot-570526c-75a8885]
    2. org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:129)[spigot.jar:git-Spigot-570526c-75a8885]
    3. org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:329)[spigot.jar:git-Spigot-570526c-75a8885]
    4. org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251)[spigot.jar:git-Spigot-570526c-75a8885]
    4 frames
  6. org.bukkit.craftbukkit
    CraftServer.loadPlugins
    1. org.bukkit.craftbukkit.v1_10_R1.CraftServer.loadPlugins(CraftServer.java:298)[spigot.jar:git-Spigot-570526c-75a8885]
    1 frame
  7. net.minecraft.server
    MinecraftServer.run
    1. net.minecraft.server.v1_10_R1.DedicatedServer.init(DedicatedServer.java:203)[spigot.jar:git-Spigot-570526c-75a8885]
    2. net.minecraft.server.v1_10_R1.MinecraftServer.run(MinecraftServer.java:535)[spigot.jar:git-Spigot-570526c-75a8885]
    2 frames
  8. Java RT
    Thread.run
    1. java.lang.Thread.run(Thread.java:745)[?:1.7.0_111]
    1 frame